%global require_ibus_version 1.3.99

Name:		ibus-gucharmap
Version:	1.4.0
Release:	14%{?dist}
Summary:	Unicode input engine (using Gucharmap) for IBus platform

License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://github.com/ueno/ibus-gucharmap/
Source0:	https://github.com/downloads/ueno/ibus-gucharmap/%{name}-%{version}.tar.gz

BuildRequires:	vala
BuildRequires:	gucharmap-devel
BuildRequires:	sqlite-devel
BuildRequires:	ibus-devel >= %{require_ibus_version}
# for regenerating configure script
BuildRequires:	gnome-common, gettext-devel
Requires:	ibus >= %{require_ibus_version}

%description
A Unicode input engine (using Gucharmap) for IBus, which supports
character-map view and searching by Unicode names with easy key
navigation.

%prep
%setup -q -n %{name}-%{version}
NOCONFIGURE=yes ./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}


%files -f %{name}.lang
%doc COPYING README
%{_libexecdir}/ibus-engine-gucharmap
%{_libexecdir}/ibus-setup-gucharmap
%{_datadir}/ibus/component/gucharmap.xml
%{_datadir}/ibus-gucharmap/unicodenames.sqlite3
%{_datadir}/ibus-gucharmap/setup/ibus-gucharmap-preferences.ui

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan  7 2016 Daiki Ueno <dueno@redhat.com> - 1.4.0-13
- replace %%define uses with %%global

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr  1 2013 Daiki Ueno <dueno@redhat.com> - 1.4.0-8
- Pull the latest config.guess and config.sub for ARM64 support

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 12 2012 Daiki Ueno <dueno@redhat.com> - 1.4.0-5
- remove workaround for new gucharmap (solved in gucharmap 3.4.0.1)
- drop unnecessary %%defattr(-,root,root,-) from %%files

* Thu Mar 15 2012 Daiki Ueno <dueno@redhat.com> - 1.4.0-4
- rebuild with new ibus
- workaround for new gucharmap
  https://bugzilla.gnome.org/show_bug.cgi?id=669734
  http://git.gnome.org/browse/gucharmap/commit/?id=adb912e4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.4.0-2
- Rebuild for new libpng

* Mon Jul 11 2011 Daiki Ueno <dueno@redhat.com> - 1.4.0-1
- new upstream release
- drop defattr from %%files

* Mon Jul  4 2011 Daiki Ueno <dueno@redhat.com> - 1.3.99.20110704-0.1.gitc94104372
- initial packaging for Fedora
